<div id="alert"></div>
<div style="overflow-x: auto">
    <table class="table table-condensed">
        <tr>
            <th width="400">&{'produk.label'}</th>
            <th width="75">&{'total.label'}</th>
        </tr>
        <tr>
            <td>${produk.nama_produk}</td>
            <td><input id="jumlah" type="text" name="jumlah" class="form-control input-sm" onkeypress="allowNumbersOnly(event)" value="1"/></td>
        </tr>
    </table>
</div>
<div>
    <button type="submit" id="btnSubmit" name="submit" data-value="@{purchasing.KeranjangBelanjaCtr.addToBasketSubmit(produk?.id, daerahId, produk?.komoditas_id)}" class="btn btn-primary add-to-basket" onclick="removeDummy()">&{'tambah.label'}</button>
    <button type="button" class="btn btn-danger" data-dismiss="modal">&{'tutup.label'}</button>
</div>

<script>
    function removeDummy() {
        var jml = $('#jumlah').val();
        if(jml > 0){
            var elem = document.getElementById('btnSubmit');
            elem.parentNode.removeChild(elem);
        }
    }

    function allowNumbersOnly(e) {
        var code = (e.which) ? e.which : e.keyCode;
        if (code > 31 && (code < 48 || code > 57)) {
            e.preventDefault();
        }
    }

    $('#jumlah').on('input', function(e) {
        $("#jumlah").val($("#jumlah").val().replace(/^0/g,''));
    });

</script>

